unit NVIAC_BASIS_TIMER;

interface

uses
  Windows,Classes,Messages,Controls,Forms,Dialogs;
const
  CM_NVIAC_BASIS_TIMER = CM_BASE+191;

type
  TNVIAC_BASIS_TIMER = class(TThread)
  private
    FTime : Integer;
  protected
    procedure Execute; override;
  public
    ICanTime : Boolean;
    AHandle : THandle;
  end;

implementation
uses NVIAC_BASIS;

{ Important: Methods and properties of objects in VCL can only be used in a
  method called using Synchronize, for example,

      Synchronize(UpdateCaption);

  and UpdateCaption could look like,

    procedure TNVIAC_BASIS_TIMER.UpdateCaption;
    begin
      Form1.Caption := 'Updated in a thread';
    end; }

{ TNVIAC_BASIS_TIMER }

procedure TNVIAC_BASIS_TIMER.Execute;
begin
  FTime:=0;
  repeat
    sleep(50);
    if FTime=High(FTime) then FTime:=0 else inc(FTime);
    if AHandle<>0 then
      begin
        PostMessage(AHandle,CM_NVIAC_BASIS_TIMER,FTime,0);
      end;
    sleep(50);  
  until Terminated;
end;

end.
